Bug 118994 - JAWS has no access to accessibility objects
Summary: JAWS has no access to accessibility objects
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+ Master
Hardware: All Windows (All)
: medium normal
Assignee: Ilhan Yesil
URL:
Whiteboard: target:6.2.0 target:6.1.1
Keywords: accessibility
Depends on:
Blocks:
 
Reported: 2018-07-30 09:41 UTC by Ilhan Yesil
Modified: 2018-08-24 07:44 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ilhan Yesil 2018-07-30 09:41:36 UTC
Description:
After installing a 64bit version of current LO together with JAWS on a Windows 10 64bit machine, JAWS was not able to read the content of a writer document.

Examining the accessibility objects of LO with inspect.exe from Windows SDK,
it can be seen that the object tree of the accessibility objects of LO are missing. 

After repeating the test with current LO with 32bit, JAWS is able to read the content and with inspect.exe it can be seen now that the object tree of the accessibility objects is now available.


Steps to Reproduce:
1. Install 64 bit version of LO and JAWS
2. Test JAWS if it can read the content of a document

Actual Results:
Under a 64bit Windows system and a 64bit LO, JAWS can't read documents.

Expected Results:
The content of documents should be read


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Ilhan Yesil 2018-07-30 09:45:32 UTC
Already fixed.
Comment 2 Xisco Faulí 2018-07-30 14:02:02 UTC
patch in gerrit: https://gerrit.libreoffice.org/#/c/58312/
Comment 3 Commit Notification 2018-08-20 17:59:09 UTC
Ilhan Yesil committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=200fafc341c9ac5cedb0e3e8a38fcc4e88fce77c

tdf#118994 JAWS has no access to accessibility objects

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-08-24 07:44:58 UTC
Ilhan Yesil committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c6dc37d8d0f0ba8a1aecb7f9e75b5e7a5ab406e8&h=libreoffice-6-1

tdf#118994 JAWS has no access to accessibility objects

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.